textures/garden/trellis
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	HollowWood
	cull	disable
    {
        map textures/garden/trellis
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/garden/trellis
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/garden/roses1
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	HollowWood
	cull	disable
    {
        map textures/garden/roses1
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/garden/roses1
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/garden/petals
{
	surfaceparm	noimpact
	surfaceparm	nonsolid
	cull	disable
	deformvertexes	wave	30 sin 0 5 0 0.1
    {
        map textures/garden/petals
        alphaFunc GE128
        blendFunc GL_ONE GL_SRC_ALPHA
        depthWrite
        tcMod scroll 0 -0.4
        tcMod turb 0 0.15 0 0.15
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/garden/petals
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        tcMod scroll 0 -0.4
        tcMod turb 0 0.15 0 0.15
    }
}

textures/garden/roses2
{
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	polygonOffset
	q3map_alphashadow
	cull	disable
    {
        map textures/garden/roses2
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/garden/roses2
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/garden/rosebush
{
	qer_editorimage	textures/colombia/dirt_terrain1
	q3map_material	Dirt
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    {
        map $lightmap
    }
    {
        map textures/colombia/dirt_terrain1
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.5 0.5
    }
    {
        map textures/garden/rosebush2
            surfaceSprites vertical 32 32 28 800
            ssFademax 1250
            ssVariance 0.8 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/rosebush1
            surfaceSprites vertical 24 32 60 800
            ssFademax 1250
            ssVariance 1 1.4
            ssWind 0.5
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/rosebush3
            surfaceSprites vertical 32 32 41 800
            ssFademax 1250
            ssVariance 1 1.5
            ssWind 0.3
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

textures/garden/tulips
{
	qer_editorimage	textures/colombia/dirt_terrain1
	q3map_material	Dirt
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    {
        map $lightmap
    }
    {
        map textures/colombia/dirt_terrain1
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.5 0.5
    }
    {
        map textures/garden/tulip1
            surfaceSprites vertical 8 12 17 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip2
            surfaceSprites vertical 8 12 27 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.5
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip3
            surfaceSprites vertical 8 12 11 800
            ssFademax 1250
            ssVariance 1 1.4
            ssWind 0.3
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip4
            surfaceSprites vertical 8 12 14 800
            ssFademax 1250
            ssVariance 1 1.4
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip5
            surfaceSprites vertical 8 12 23 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/ss_grass_green
            surfaceSprites vertical 12 12 20 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

textures/garden/tulips_pot
{
	qer_editorimage	textures/colombia/dirt_terrain1
	q3map_material	Dirt
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    {
        map $lightmap
    }
    {
        map textures/colombia/dirt_terrain1
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.5 0.5
    }
    {
        map textures/garden/tulip1
            surfaceSprites vertical 8 12 11 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip2
            surfaceSprites vertical 8 12 14 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.5
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip3
            surfaceSprites vertical 8 12 6 800
            ssFademax 1250
            ssVariance 1 1.4
            ssWind 0.3
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip4
            surfaceSprites vertical 8 12 9 800
            ssFademax 1250
            ssVariance 1 1.4
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map textures/garden/tulip5
            surfaceSprites vertical 8 12 19 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
    {
        map gfx/sprites/ss_grass_green
            surfaceSprites vertical 12 12 20 800
            ssFademax 1250
            ssVariance 1 1.2
            ssWind 0.2
        alphaFunc GE192
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

textures/garden/paving
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/paving
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/bush1
{
	q3map_material	GreenLeaves
    {
        map $lightmap
    }
    {
        map textures/garden/bush1
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/grass
{
	q3map_material	LongGrass
    {
        map $lightmap
    }
    {
        map textures/garden/grass
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/woodpanel
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/garden/woodpanel
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/bricks
{
	q3map_material	Tiles
    {
        map $lightmap
    }
    {
        map textures/garden/bricks
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/rose_sky
{
	qer_editorimage	textures/tools/editor_images/qer_sky
	q3map_surfacelight	300
	sun 0.8 0.8 1 1000 345 75
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/sam 512 -
}

textures/garden/stone_paving
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/stone_paving
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/stonewall
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/stonewall
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/stonewall2
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/stonewall2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/dado1
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/garden/dado1
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/pinkwall
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/pinkwall
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/pinkwallpaper
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/pinkwallpaper
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/greenwall
{
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/garden/greenwall
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/dado2
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/garden/dado2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/redcurtain
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	q3map_material	Fabric
    {
        map textures/garden/redcurtain
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/garden/redcurtain
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/garden/bloom
{
	polygonOffset
	q3map_material	Canvas
    {
        map $lightmap
    }
    {
        map textures/garden/bloom
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/clash
{
	polygonOffset
	q3map_material	Canvas
    {
        map $lightmap
    }
    {
        map textures/garden/clash
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/kurt
{
	polygonOffset
	q3map_material	Canvas
    {
        map $lightmap
    }
    {
        map textures/garden/kurt
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/sonics1
{
	polygonOffset
	q3map_material	Canvas
    {
        map $lightmap
    }
    {
        map textures/garden/sonics1
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/sonics2
{
	polygonOffset
	q3map_material	Canvas
    {
        map $lightmap
    }
    {
        map textures/garden/sonics2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/bloom2
{
	polygonOffset
	q3map_material	Canvas
    {
        map $lightmap
    }
    {
        map textures/garden/bloom2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/track
{
	polygonOffset
	q3map_material	Plastic
    {
        map $lightmap
    }
    {
        map textures/garden/track
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/garden/table
{
	q3map_material	SolidWood
    {
        map $lightmap
    }
    {
        map textures/garden/table
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

